
Figure - Bug #117174
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【桌面】打开小窗应用在右侧，长按右侧应用显示更多信息有被小窗应用遮挡
2023-03-27 15:51 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-03-27

Priority: Normal Due date: 2023-04-04

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303260013

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Free Test Root cause: 由于没有判断当前坐标是否在DecorView的范围内导致的

Description

【测试步骤】

打开小窗应用在右侧，长按右侧应用

【预期结果】

页面显示正常，无遮挡

【测试结果】

应用更多显示被小窗应用遮挡

History

#1 - 2023-03-27 19:32 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-03-28 10:33 - CD APP-王营

- Category changed from CD-APP to 窗口定制

- Assignee changed from CD APP-王宏 to CD FW-鲁凯峰

■ My analysis

小窗处于桌面顶层，有遮挡是属于正常情况，点击缩小后的小窗边缘会触发放大小窗的效果需要凯峰帮忙看下点击范围。

■ Next action

请凯峰帮忙处理一下点击范围的问题。

#3 - 2023-03-28 10:39 - CD FW-鲁凯峰

- Due date set to 2023-04-04

#4 - 2023-03-28 10:50 - CD FW-鲁凯峰

在mini状态下,重新设置下边距

#5 - 2023-03-29 19:36 - CD FW-鲁凯峰

- Root cause set to 由于没有判断当前坐标是否在DecorView的范围内导致的
■ Current conclusion

在小窗mini态下点击周边区域会放大的问题已经解决

■ My analysis

产生该问题的原因是由于没有判断当前坐标是否在DecorView的范围内导致的

添加对坐标的判断就行

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/190802

#6 - 2023-03-29 20:00 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

190802 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: update touch areaupdate touch exclude region in mini statusTC-RID: 1201-0204601IssueID: TS-R-BUG-117174Change-Id:

I067f1a791036e8e67b72df7dc82bf5f4c166dc6e

#7 - 2023-03-29 20:02 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to 物联网测试组_CDTS  唐霞 

- Resolution changed from -- to FIXED

#8 - 2023-03-31 14:18 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

验证通过，验证版本 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102.202303310316

#9 - 2023-03-31 14:18 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

验证通过，关闭问题单

Files

小窗应用有遮挡.png 410 KB 2023-03-27 物联网测试组_CDTS  唐霞 
